// cUserInfo.cpp: implementation of the cUserInfo class.
//
//////////////////////////////////////////////////////////////////////

#include "cUserInfo.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

cUserInfo::cUserInfo() : cName(13){

}

cUserInfo::~cUserInfo(){
//	cName::~cName();
}

bool cUserInfo::SetName(const char *_pName){
	// 먼저 이름으로 사용해도 좋을 것인지를 검사한다.
	int len;

	if(_pName == NULL) return false;
	len = strlen(_pName);
	if(len < 1 || len > 12) return false;

	return cName::SetName(_pName);
}

bool cUserInfo::SetPassword(char *pPassword){
	// 암호로 적당하다면 기록한다.
	int len;
	if(pPassword == NULL) return false;
	len = strlen(pPassword);
	if(len < 4 || len > 12) return false;

	strncpy(Password, pPassword, 12);
	return true;
}

bool operator==(cUserInfo &a, cUserInfo &b){
	if(strncmp(a.pName, b.pName, 12) == 0 && strncmp(a.Password, b.Password, 12) == 0) return true;
	return false;

}

bool operator!=(cUserInfo &a, cUserInfo &b){
	return !operator==(a, b);
}
